net.minecraft.src

## Class FMLRenderAccessLibrary

- java.lang.Object
- - net.minecraft.src.FMLRenderAccessLibrary

-     public class FMLRenderAccessLibrary
      extends Object

  A static hook library for optifine and other basemod editing code to access FML functions
  Author:
    cpw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLRenderAccessLibrary()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger` | `getLogger()`
    `static void` | `log(Level level, String message)`
    `static void` | `log(Level level, String message, Throwable throwable)`
    `static void` | `renderInventoryBlock(RenderBlocks renderer, Block block, int metadata, int modelID)`
    `static boolean` | `renderItemAsFull3DBlock(int modelId)`
    `static boolean` | `renderWorldBlock(RenderBlocks renderer, IBlockAccess world, int x, int y, int z, Block block, int modelId)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLRenderAccessLibrary

          public FMLRenderAccessLibrary()

  - ### Method Detail

    - #### getLogger

          public static Logger getLogger()

    - #### log

          public static void log(Level level,
                 String message)

    - #### log

          public static void log(Level level,
                 String message,
                 Throwable throwable)

    - #### renderWorldBlock

          public static boolean renderWorldBlock(RenderBlocks renderer,
                                 IBlockAccess world,
                                 int x,
                                 int y,
                                 int z,
                                 Block block,
                                 int modelId)

    - #### renderInventoryBlock

          public static void renderInventoryBlock(RenderBlocks renderer,
                                  Block block,
                                  int metadata,
                                  int modelID)

    - #### renderItemAsFull3DBlock

          public static boolean renderItemAsFull3DBlock(int modelId)